#! /usr/bin/env python
# -*- coding: UTF-8 -*- 

import os
import gettext
from fp_pam import FPConfig, FPData, Fingerprint as FP
from gi.repository import GObject

APP_NAME = "fingerprint-pam"
LOCALE_DIR = os.path.abspath("/usr/share/locale/")
gettext.bindtextdomain(APP_NAME, LOCALE_DIR)
gettext.textdomain(APP_NAME)
_ = gettext.gettext

def enroll_on_image(fp, count, img):
    print 'enroll_on_image' + str(count)

def enroll_finished(fp, msg):
    print 'enroll_on_image' + str(msg)
    main_loop.quit()

def catched_error(fp, err):
    print 'error code = %ld' % err.code

def info_changed(fp):
    print 'info changed'

fp = FPConfig()
dataList = fp.getUserFPData('zdj')

fpData = FPData('zdj', 12, 'zzz的指纹2')
ret = fp.deleteConfig(fpData)
print ret

if ret == 'success':
    fp.commitConfig()

fpData = FPData('zdj', 24, 'dj的指纹24')

ret = fp.updateFPData(fpData)
print ret

# for fpData in fp.fpData:
#     print fpData.username + ' ' + str(fpData.fpId)+ ' ' + fpData.alias

if ret == 'success':
    fp.commitConfig()

fp = FP()
fp.connect('enroll-one-image', enroll_on_image)
fp.connect('enroll-finished', enroll_finished)
fp.connect('catched-error', catched_error)
fp.connect('info-changed', info_changed)
fp.enroll_start()

main_loop = GObject.MainLoop()
main_loop.run()